import java.awt.Color;

//ghassan fakher
//section 6
public class AddX {
	public static void main(String[] args)
	{
		Color x = new Color(Integer.parseInt(args[1]), Integer.parseInt(args[2]), Integer.parseInt(args[3]));
		Integer lineWidth = Integer.parseInt(args[0]);
		Picture original = new Picture("peppers.jpg");
		Picture modifiedPic = modifyPicture(original, x, lineWidth);
		modifiedPic.show();
		expandPic(original, modifiedPic);
	}
	public static Picture modifyPicture(Picture original, Color x, int width)
	{
		Picture modified = new Picture(original.width(), original.height());
		for(int i = 0; i < original.height(); i++)
		{
			for(int j = 0; j < original.width(); j++)
			{
				modified.set(i, j, original.get(i, j));
			}
		}
		modified = drawDiagonalOne(modified, x);
		modified = drawDiagonalTwo(modified, x);
		return modified;
	}
	public static Picture drawDiagonalTwo(Picture modified, Color x)
	{
		for(int j = 0; j < modified.height(); j++)
		{
			for(int i = modified.width() - 1; i >= 0; i--)
			{
				if(modified.width() - i == j)
				{
					for(int k = i - 19; k < i; k++)
					{
						if(k >= 0)
							modified.set(k, j, x);
						else
							modified.set(k + 19, j, x);
					}
					for(int k = j; k < j + 19; k++)
					{
						if(k < modified.height())
							modified.set(i, k, x);
						else
							modified.set(i, k - 19, x);
					}
				}
			}
		}
		return modified;
	}
	public static Picture drawDiagonalOne(Picture modified, Color x)
	{
		for(int j = 0; j < modified.height(); j++)
		{
			for(int i = 0; i < modified.width(); i++)
			{
				if(i == j)
				{
					for(int k = i; k < i + 19; k++)
					{
						if(k < modified.width())
							modified.set(k, j, x);
						else
							modified.set(k - 19, j, x);
					}
					for(int m = j; m < j + 19; m++)
					{
						if(m < modified.height())
							modified.set(i, m, x);
						else
							modified.set(i, m - 19, x);
					}
				}
			}
		}
		return modified;
	}
	public static void expandPic(Picture original, Picture modifiedPic)
	{
		Picture modified = new Picture(original.width() * 2, original.height());
		for(int j = 0; j < modified.height(); j++)
		{
			for(int i = 0; i < (int)(modified.width() / 2); i++)
			{
				modified.set(i, j, original.get(i, j)); 
			}
			for(int i = (int)(modified.width() / 2); i < modified.width() ; i++)
			{
				modified.set(i, j, modifiedPic.get(i - (int)(modified.width() / 2), j)); 
			}
		}
		modified.show();
	}
}
