/*ghassan fakher
 * 
 section 6*/
public class TestBank {
	
	public static void main(String[] args)
	{
		Bank bank = new Bank("accounts.txt");
		System.out.println(bank.toString());
		In user = new In();
		boolean exit = false;
		while(!exit)
		{
			System.out.println("Main Menu (1: Open - 2: Close - 3: Blance - 4: WithDraw - 5: Deposit - 6: Transfer - 7: Exit ");
			System.out.println("Enter a choice: ");
			int choice = user.readInt();
			if(choice == 1)
				openAccount(user, bank);
			else if(choice == 2)
				closeAccount(user, bank);
			else if(choice == 3)
				checkBalance(user, bank);
			else if(choice == 4)
				withdraw(user, bank);
			else if(choice == 5)
				deposit(user, bank);
			else if(choice == 6)
				transfer(user, bank);
			else
				exit = true;
		}
		System.out.println(bank.toString());
	}	
	public static void transfer(In user, Bank bank)
	{
		System.out.println("Enter idFrom, idTo, Balance:");
		bank.transfer(user.readInt(), user.readInt(), user.readInt());
		System.out.println("The transfer has been done successfully");
		System.out.println(bank.toString());
	}
	public static void deposit(In user, Bank bank)
	{
		System.out.println("Enter the account info: (account Id / balance");
		Account a = bank.getAccount(user.readInt());
		a.deposit(user.readDouble());
		System.out.println(bank.toString());
	}
	public static void withdraw(In user, Bank bank)
	{
		System.out.println("Enter (acount id, balance)");
		Account a = bank.getAccount(user.readInt());
		a.withdraw(user.readDouble());
		System.out.println(bank.toString());
	}
	public static void checkBalance(In user, Bank bank)
	{
		System.out.println("Enter the account Id");
		int id = user.readInt();
		System.out.println("The balance is " + bank.getAccount(id).getBalance());
		System.out.println(bank.toString());
	}
	public static void closeAccount(In user, Bank bank)
	{
		System.out.println("Enter the account ID");
		if(bank.close(user.readInt()) == true)
			System.out.println("Account successfully closed");
		else
			System.out.println("Account doesn't exist");
		System.out.println(bank.toString());
	}
	public static void openAccount(In user, Bank bank)
	{
		System.out.println("Enter the account info (id, name, initialBalance");
		boolean success = bank.open(user.readInt(), user.readString(), user.readDouble());
		if(success == true)
		{
			System.out.println("The account has been created successfully");
		}
		else
			System.out.println("Account already exists, try again");
		System.out.println(bank.toString());
	}
}
