/*ghassan fakher
 * section 6
 */
public class Account {
	private int id;
	private String name;
	private double balance;
	
	public Account(int id, String name, double initialBalance)	//constructor
	{
		this.id = id;
		this.name = name;
		this.balance = initialBalance;
	}
	public Account(String name)
	{
		this.name = name;
		this.balance = 0.0;
		this.id = (int)(Math.random() * 10000);
	}
	public void withdraw(double amount)
	{
		this.balance -= amount; 
	}
	public void deposit(double amount)
	{
		this.balance += amount;
	}
	public String toString()
	{
		return "Name: " +  name + "\nID: " + id + "\nBalance: " + balance;
	}
	public int getID()
	{
		return id;
	}
	public double getBalance()
	{
		return balance;
	}
	public static void main(String[] args)
	{
		Account a = new Account(2012, "Ghassan", 500);
		Account b = new Account("cmps");
		System.out.println(a.toString());
		System.out.println(b.toString());
		a.withdraw(50);
		System.out.println(a.toString());
		System.out.println(a.id);
	}
}
